Bug 448177 - xDSL interface created by system-config-network has no ONBOOT={yes,no} line
xDSL interface created by system-config-network has no ONBOOT={yes,no} line
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 22:55 EDT by Andre Robatino
Modified: 2015-02-17 08:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:14:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2008-05-23 22:55:35 EDT
Description of problem:
If an xDSL interface is created using system-config-network, specifying that it
shouldn't come up at boot time, the resulting file has no ONBOOT={yes,no} line.
 The result is that it comes up at boot time anyway.

Version-Release number of selected component (if applicable):
system-config-network-1.5.7-1.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1.  Bring up s-c-n, click on "New".
2.  Select "xDSL connection", click "Forward", enter Provider name, Login name,
and Password on next page, click Forward again, click "Apply".
3.  Select File/Quit, when prompted whether to save changes, click "Yes". 
(Selecting File/Save, and then File/Quit, also works.)
  
Actual results:
Resulting ifcfg-* file has no ONBOOT={yes,no} line.  When booting up, this
results in xDSL interface coming up even though the GUI says it shouldn't
("Activate device when computer starts" box is unchecked).

Expected results:
Resulting ifcfg-* file should have an ONBOOT={yes,no} line which agrees with the
GUI.
Comment 1 Andre Robatino 2009-02-21 16:49:33 EST
Updating to version 10.  I just discovered that in order to reproduce the xDSL interface coming up when it shouldn't, it's necessary to disable and stop NetworkManager, and enable and start network, before rebooting.  I had done this before and didn't realize it was necessary to reproduce the bug.  In the default configuration with NetworkManager running, it doesn't happen.  However, the ifcfg-* file clearly should have an ONBOOT={yes,no} line at all times.  The above procedure still works to generate the file without this line.
Comment 2 Andre Robatino 2009-02-22 17:26:32 EST
Same bug exists in Rawhide with system-config-network-1.5.95-1.fc11.noarch (the lack of an ONBOOT={yes,no} line after following the above steps).
Comment 3 Bug Zapper 2009-11-16 03:06:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andre Robatino 2010-06-27 16:02:10 EDT
Immediately after creating xDSL interface in F13 using s-c-n, using default settings, the resulting ifcfg-* file has no ONBOOT={yes,no} line.  Changing Version to 13.
Comment 5 Andre Robatino 2010-08-27 16:19:16 EDT
Still broken in Rawhide with system-config-network-1.6.1-1.fc15.noarch.
Comment 6 Fedora Admin XMLRPC Client 2012-12-19 10:30:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-04-03 14:52:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 8 Fedora End Of Life 2015-01-09 11:12:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 08:14:15 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.